### Virtual Method

# Vips Interpolate interpolate

#### Declaration [src]

    void
    interpolate (
      VipsInterpolate* interpolate,
      void* out,
      VipsRegion* in,
      double x,
      double y
    )

#### Description [src]

The interpolation method.

#### Parameters

`out`

  Type: `void*`

  Write the interpolated pixel here.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`in`

  Type: `VipsRegion`

  Read source pixels from here.

  The data is owned by the caller of the method.

`x`

  Type: `double`

  Interpolate value at this position.

`y`

  Type: `double`

  Interpolate value at this position.